libqalculate-3.21.0

Classes | Enumerations | Functions
MathStructure.h File Reference
`#include <libqalculate/includes.h>`
`#include <libqalculate/Number.h>`
`#include <libqalculate/QalculateDateTime.h>`
`#include <sys/time.h>`

## Classes
class | MathStructure
| A structure representing a mathematical value/expression/result. More...

## Enumerations
enum | StructureType { STRUCT_MULTIPLICATION, STRUCT_INVERSE, STRUCT_DIVISION, STRUCT_ADDITION, STRUCT_NEGATE, STRUCT_POWER, STRUCT_NUMBER, STRUCT_UNIT, STRUCT_SYMBOLIC, STRUCT_FUNCTION, STRUCT_VARIABLE, STRUCT_VECTOR, STRUCT_BITWISE_AND, STRUCT_BITWISE_OR, STRUCT_BITWISE_XOR, STRUCT_BITWISE_NOT, STRUCT_LOGICAL_AND, STRUCT_LOGICAL_OR, STRUCT_LOGICAL_XOR, STRUCT_LOGICAL_NOT, STRUCT_COMPARISON, STRUCT_UNDEFINED, STRUCT_ABORTED, STRUCT_DATETIME }
| Types for MathStructure.
enum | { MULTIPLICATION_SIGN_NONE, MULTIPLICATION_SIGN_SPACE, MULTIPLICATION_SIGN_OPERATOR, MULTIPLICATION_SIGN_OPERATOR_SHORT }
enum | { TAG_TYPE_HTML, TAG_TYPE_TERMINAL }

## Functions
std::ostream & | operator<< (std::ostream &os, const MathStructure &)